unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, AHMSystemClass, AHMTFormManager;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    AHMFormManager1: TAHMFormManager;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure AHMFormManager1Buttons0Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure AHMFormManager1Buttons1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3, Unit5, Unit4;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form2.Show;
  {Delphi 4.00 Bug ???... no auto align is done when showing the form inside a new parent}
  Form2.Panel1.Align:=alBottom;
  Form2.Panel1.Visible:=True;
  Button1.enabled:=False;
  Button2.Enabled:=True;
end;

procedure TForm1.AHMFormManager1Buttons0Click(Sender: TObject);
begin
  showmessage('This is pretty cool');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Form2.close;
  Form5.show;
  Button1.enabled:=true;
  Button2.Enabled:=false;
end;

procedure TForm1.AHMFormManager1Buttons1Click(Sender: TObject);
begin
  showmessage('Attach your own functions here');
end;

end.
